Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

# Class StructuredRemittanceInformation17

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_10.StructuredRemittanceInformation17

public class StructuredRemittanceInformation17 extends Object

Java class for StructuredRemittanceInformation17 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StructuredRemittanceInformation17">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RfrdDocInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}ReferredDocumentInformation7" maxOccurs="unbounded" minOccurs="0"/>
             <element name="RfrdDocAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}RemittanceAmount2" minOccurs="0"/>
             <element name="CdtrRefInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}CreditorReferenceInformation2" minOccurs="0"/>
             <element name="Invcr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}PartyIdentification135" minOccurs="0"/>
             <element name="Invcee" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}PartyIdentification135" minOccurs="0"/>
             <element name="TaxRmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}TaxData1" minOccurs="0"/>
             <element name="GrnshmtRmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Garnishment3" minOccurs="0"/>
             <element name="AddtlRmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max140Text" maxOccurs="3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`addtlRmtInf`
`protected CreditorReferenceInformation2`
`cdtrRefInf`
`protected Garnishment3`
`grnshmtRmt`
`protected PartyIdentification135`
`invcee`
`protected PartyIdentification135`
`invcr`
`protected RemittanceAmount2`
`rfrdDocAmt`
`protected List<ReferredDocumentInformation7>`
`rfrdDocInf`
`protected TaxData1`
`taxRmt`

## Constructor Summary

Constructors
Constructor
Description
`StructuredRemittanceInformation17()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAddtlRmtInf()`
Gets the value of the addtlRmtInf property.
`CreditorReferenceInformation2`
`getCdtrRefInf()`
Gets the value of the cdtrRefInf property.
`Garnishment3`
`getGrnshmtRmt()`
Gets the value of the grnshmtRmt property.
`PartyIdentification135`
`getInvcee()`
Gets the value of the invcee property.
`PartyIdentification135`
`getInvcr()`
Gets the value of the invcr property.
`RemittanceAmount2`
`getRfrdDocAmt()`
Gets the value of the rfrdDocAmt property.
`List<ReferredDocumentInformation7>`
`getRfrdDocInf()`
Gets the value of the rfrdDocInf property.
`TaxData1`
`getTaxRmt()`
Gets the value of the taxRmt property.
`void`
`setCdtrRefInf(CreditorReferenceInformation2 value)`
Sets the value of the cdtrRefInf property.
`void`
`setGrnshmtRmt(Garnishment3 value)`
Sets the value of the grnshmtRmt property.
`void`
`setInvcee(PartyIdentification135 value)`
Sets the value of the invcee property.
`void`
`setInvcr(PartyIdentification135 value)`
Sets the value of the invcr property.
`void`
`setRfrdDocAmt(RemittanceAmount2 value)`
Sets the value of the rfrdDocAmt property.
`void`
`setTaxRmt(TaxData1 value)`
Sets the value of the taxRmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rfrdDocInf

protected List<ReferredDocumentInformation7> rfrdDocInf

### rfrdDocAmt

protected RemittanceAmount2 rfrdDocAmt

### cdtrRefInf

protected CreditorReferenceInformation2 cdtrRefInf

### invcr

protected PartyIdentification135 invcr

### invcee

protected PartyIdentification135 invcee

### taxRmt

protected TaxData1 taxRmt

### grnshmtRmt

protected Garnishment3 grnshmtRmt

### addtlRmtInf

protected List<String> addtlRmtInf

## Constructor Details

### StructuredRemittanceInformation17

public StructuredRemittanceInformation17()

## Method Details

### getRfrdDocInf

public List<ReferredDocumentInformation7> getRfrdDocInf()
Gets the value of the rfrdDocInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rfrdDocInf property.

For example, to add a new item, do as follows:

        getRfrdDocInf().add(newItem);

Objects of the following type(s) are allowed in the list `ReferredDocumentInformation7`

### getRfrdDocAmt

public RemittanceAmount2 getRfrdDocAmt()
Gets the value of the rfrdDocAmt property.

Returns:
  possible object is `RemittanceAmount2`

### setRfrdDocAmt

public void setRfrdDocAmt(RemittanceAmount2 value)
Sets the value of the rfrdDocAmt property.

Parameters:
  `value` - allowed object is `RemittanceAmount2`

### getCdtrRefInf

public CreditorReferenceInformation2 getCdtrRefInf()
Gets the value of the cdtrRefInf property.

Returns:
  possible object is `CreditorReferenceInformation2`

### setCdtrRefInf

public void setCdtrRefInf(CreditorReferenceInformation2 value)
Sets the value of the cdtrRefInf property.

Parameters:
  `value` - allowed object is `CreditorReferenceInformation2`

### getInvcr

public PartyIdentification135 getInvcr()
Gets the value of the invcr property.

Returns:
  possible object is `PartyIdentification135`

### setInvcr

public void setInvcr(PartyIdentification135 value)
Sets the value of the invcr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getInvcee

public PartyIdentification135 getInvcee()
Gets the value of the invcee property.

Returns:
  possible object is `PartyIdentification135`

### setInvcee

public void setInvcee(PartyIdentification135 value)
Sets the value of the invcee property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getTaxRmt

public TaxData1 getTaxRmt()
Gets the value of the taxRmt property.

Returns:
  possible object is `TaxData1`

### setTaxRmt

public void setTaxRmt(TaxData1 value)
Sets the value of the taxRmt property.

Parameters:
  `value` - allowed object is `TaxData1`

### getGrnshmtRmt

public Garnishment3 getGrnshmtRmt()
Gets the value of the grnshmtRmt property.

Returns:
  possible object is `Garnishment3`

### setGrnshmtRmt

public void setGrnshmtRmt(Garnishment3 value)
Sets the value of the grnshmtRmt property.

Parameters:
  `value` - allowed object is `Garnishment3`

### getAddtlRmtInf

public List<String> getAddtlRmtInf()
Gets the value of the addtlRmtInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addtlRmtInf property.

For example, to add a new item, do as follows:

        getAddtlRmtInf().add(newItem);

Objects of the following type(s) are allowed in the list `String`